Subject: Re: [PATCH] watchdog: Remove MV64x60 watchdog driver

From: [email-masked]
Date: Sun, 20 Jun 2021 15:30:36 +0200

Hi All,

On Mon, Jun 07, 2021 at 04:29:50AM -0700, Guenter Roeck wrote:
> On Mon, Jun 07, 2021 at 11:43:26AM +1000, Michael Ellerman wrote:
> > Guenter Roeck <[email-masked]> writes:
> > > On 5/17/21 4:17 AM, Michael Ellerman wrote:
> > >> Guenter Roeck <[email-masked]> writes:
> > >>> On 3/18/21 10:25 AM, Christophe Leroy wrote:
> > >>>> Commit 92c8c16f3457 ("powerpc/embedded6xx: Remove C2K board support")
> > >>>> removed the last selector of CONFIG_MV64X60.
> > >>>>
> > >>>> Therefore CONFIG_MV64X60_WDT cannot be selected anymore and
> > >>>> can be removed.
> > >>>>
> > >>>> Signed-off-by: Christophe Leroy <[email-masked]>
> > >>>
> > >>> Reviewed-by: Guenter Roeck <[email-masked]>
> > >>>
> > >>>> ---
> > >>>>   drivers/watchdog/Kconfig       |   4 -
> > >>>>   drivers/watchdog/Makefile      |   1 -
> > >>>>   drivers/watchdog/mv64x60_wdt.c | 324 ---------------------------------
> > >>>>   include/linux/mv643xx.h        |   8 -
> > >>>>   4 files changed, 337 deletions(-)
> > >>>>   delete mode 100644 drivers/watchdog/mv64x60_wdt.c
> > >> 
> > >> I assumed this would go via the watchdog tree, but seems like I
> > >> misinterpreted.
> > >> 
> > >
> > > Wim didn't send a pull request this time around.
> > >
> > > Guenter
> > >
> > >> Should I take this via the powerpc tree for v5.14 ?
> > 
> > I still don't see this in the watchdog tree, should I take it?
> > 
> It is in my personal watchdog-next tree, but afaics Wim hasn't picked any
> of it up yet. Wim ?

Picking it up right now.

Kind regards,
Wim.